package com.hz.pm.api.projectlib.service;

import com.hz.pm.api.projectlib.model.entity.Project;
import com.hz.pm.api.projectlib.model.entity.ProjectApplication;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-05
 */
public interface IProjectApplicationService extends IService<ProjectApplication> {

    List<ProjectApplication> getApplicationsByProject(Project project);

    void saveApplication(Project project,Project oldProject,Boolean isConstruct);
}
